1. Media Manager
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
      • Create comments
      • Get Comments
    • Media Manager
      • Get Folders
        GET
      • Get Folder By ID
        GET
      • Create Folder
        POST
      • Update Folder
        PATCH
      • Delete Folder
        DELETE
      • Get Files
        GET
      • Get File By ID
        GET
      • Create File
        POST
      • Update File
        PATCH
      • Delete File
        DELETE
    • Agent Activity
      • Get Agents Activities
    • Telephony
      • Get Telephony CDR
Blog
Github
  1. Media Manager

Get Folders

GET
/api/v1/media-manager/folders
List folders with pagination and optional filters.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apigw.klinkcx.com/api/v1/media-manager/folders?parentId=&keyword=&withDeleted=&pageSize=&page=' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": [
        {
            "id": "019b666f-5b1e-738e-b88f-6e08c466a4f7",
            "name": "testing",
            "slug": "testing",
            "path": "testing",
            "sortOrder": 0,
            "parentId": null,
            "isPrivate": false,
            "createdAt": "2025-12-28T19:28:52.000000Z",
            "updatedAt": "2025-12-28T19:28:52.000000Z",
            "childrenCount": 0,
            "filesCount": 0
        },
        {
            "id": "019b6670-a56b-7115-a16c-3a4da0e1c8d4",
            "name": "testing",
            "slug": "testing-2",
            "path": "testing-2",
            "sortOrder": 0,
            "parentId": null,
            "isPrivate": false,
            "createdAt": "2025-12-28T19:30:17.000000Z",
            "updatedAt": "2025-12-28T19:30:17.000000Z",
            "childrenCount": 0,
            "filesCount": 0
        }
    ],
    "total": 2,
    "page": 1,
    "pageSize": 2,
    "lastPage": 1
}
Modified at 2026-02-20 10:52:43
Previous
Get Comments
Next
Get Folder By ID
Built with